#ifndef CORE_BOX_H
#define CORE_BOX_H

#include "core/Vector.h"

typedef struct {
    CoreVector3 min;
    CoreVector3 max;
} CoreBox;

#define CORE_BOX ((CoreBox){0})
CoreBox* coreSetBox(CoreBox* box, const CoreVector3* size);
CoreBox* coreOffsetBox(CoreBox* box, const CoreVector3* offset);
bool coreCollidesWithBox(const CoreBox* box, const CoreBox* other);
CoreBox* coreExpandBox(CoreBox* box, const CoreVector3* offset);
CoreBox* coreGrowBox(CoreBox* box, const CoreVector3* growth);
size_t coreToStringBox(const CoreBox* box, char* buffer, size_t n);

#endif
